
QGIS Application - Bug report #21497

Copying features from source layer to target layer - field values are not copied

2019-03-06 10:39 AM - Thomas Nogatz

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Attribute table

Affected QGIS version:3.6.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 29314

Description

Conditions:

- two shapefile layers, both have some equal attribute fields (same field name and data type)

Steps:

- select some features from source layer

- select source layer, copy (Strg+C)

- select target layer

- enable editing of target layer

- paste (Strg+V)

- open attribute table of target layer

Result:

The features are copied, but all fields of the copied features in the target layer are empty.

Affected versions:

This is an issue of QGIS 3 (3.4, 3.6) only. Former versions (2.14, 2.18) work properly, here field values are copied.

Associated revisions

Revision 0325a37f - 2019-03-07 02:45 PM - Alessandro Pasotti

Fix makeFeatureCompatible wrong field count

Fixes #21497 - Copying features from source layer to target layer - field values are not copied

Revision d0824798 - 2019-03-07 02:45 PM - Alessandro Pasotti

Fix makeFeatureCompatible wrong field count

Fixes #21497 - Copying features from source layer to target layer - field values are not copied

History

#1 - 2019-03-06 10:39 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please attach sample data (same operation works here).
#2 - 2019-03-06 12:37 PM - Thomas Nogatz

- File QGIS.zip added

Please try to copy the features from "Pegel Glasowbach.shp" to "pp_483_alt.shp" - that works as described above here.

#3 - 2019-03-06 12:47 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Status changed from Feedback to Open

- Priority changed from Normal to High

- Operating System deleted (Windows 10)

yeah... confirming this on Linux.

#4 - 2019-03-07 12:08 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#5 - 2019-03-07 04:17 PM - Alessandro Pasotti

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

- Crashes QGIS or corrupts data changed from No to Yes

- Resolution set to fixed/implemented

https://github.com/qgis/QGIS/pull/9417

#6 - 2019-03-08 12:16 PM - Alessandro Pasotti

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|0325a37ff93b830ee5b4bf53cef14f937cd3863e.

Files

QGIS.zip 10.9 KB 2019-03-06 Thomas Nogatz
